# norootforbuild

Name:			soundtouch
Summary:		SoundTouch is an audio processing library
Version:		1.3.1
Release:		2.2
License:		LGPL
Group:			System/Libraries
Source:			soundtouch-%{version}.tar.bz2
BuildRoot:		%{_tmppath}/build-root-%{name}
Prefix:			/usr
Url:			http://sky.prohosting.com/oparviai/soundtouch/
BuildRequires:		dos2unix
BuildRequires:		gcc-c++
%description
SoundTouch is a LGPL-licensed open-source audio processing library for 
changing the Tempo, Pitch and Playback Rates of audio streams or files:

* Tempo (time-stretch): Changes the sound to play at faster or slower
  speed than original, without affecting the sound pitch.
* Pitch (key) : Changes the sound pitch or key, without affecting the 
  sound tempo or speed.
* Playback Rate : Changes both the sound tempo and pitch, as if an LP
  disc was played at wrong RPM rate.

The SoundTouch library is suited for application developers writing sound
processing tools that require tempo/pitch control functionality, or just
for playing around with the sound effects.

The SoundTouch library source kit includes an example utility SoundStretch
which allows processing .wav audio files from a command-line interface.

%package devel
Group:		Development/Libraries/C and C++
Summary:	Development package for soundtouch
Requires:	%{name} = %{version}

%description devel
The soundtouch-devel package contains the files necessary to develop
applications using soundtouch.

%debug_package

%prep
%setup -q -n %{name}-%{version}
%{?suse_update_config:%{suse_update_config -f}}

dos2unix  README.html COPYING.TXT
%__chmod 644 README.html COPYING.TXT

%build
CFLAGS="$RPM_OPT_FLAGS" \
CXXFLAGS="$RPM_OPT_FLAGS -03 -fomit-frame-pointer" \
./configure \
	--prefix=%{prefix} \
	--libdir=%{_libdir} \
	--enable-shared \
	--enable-static
%__make

%install
%makeinstall

%clean
[ -d %{buildroot} -a "%{buildroot}" != "" ] && %__rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,0755)
%doc README.html COPYING.TXT
%{_bindir}/soundstretch
%{_libdir}/lib*.so.*
%exclude /usr/doc/%{name}

%files devel
%defattr(-,root,root,0755)
%{_includedir}/%{name}
%{_libdir}/lib*.a
%{_libdir}/lib*.la
%{_libdir}/lib*.so
%{_datadir}/aclocal
%{_libdir}/pkgconfig/%{name}-1.0.pc

%changelog
* Sun Aug 18 2008 Carsten Schoene <cs@linux-administrator.com> - 1.3.1-2
- initial import for SLE_10 build
